Problem Installing VS Code on Xubuntu


#1

Hi all,

I’m getting an error message when trying to install VSCode

"Error: snap “code” is not available on stable for this architecture (i386) but exists on other architectures (amd64)

I’ve checked the VM and it says i have a 64-bit Ubuntu operating system so I’m not sure where the issue is.

I’ve updated and upgraded using apt-get.

Any suggestions ??


#2

Hey @cdiggy22

Open a terminal in the VM and run uname -m and let me know the response.


#3

Hey @CouchofTomato

sorry for the late response.

It says i686.


#4

Hey @cdiggy22

I’m also sorry for the delay in response. I’ve been away. i686 is a 32bit processor. I’m not sure what the issue is but if you are sure you installed the 64bit ubuntu then check you have enabled 64 bit virtualisation. A google will show you how.